Bug 806113 - Custom partitions on ppc64 result in unbootable partition layout
Custom partitions on ppc64 result in unbootable partition layout
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: scheduler (Show other bugs)
0.8
Unspecified Unspecified
unspecified Severity high (vote)
: 0.9.3
: ---
Assigned To: Dan Callaghan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-22 18:35 EDT by Dan Callaghan
Modified: 2012-09-06 00:40 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-06 00:40:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Callaghan 2012-03-22 18:35:32 EDT
When a user specifies custom partitions on ppc64, our rhts_partitions snippet will produce the following partition commands in the kickstart:

> part None --fstype 'PPC PReP Boot' --size 8
> part /boot --fstype ext3 --size 200 --recommended 
> part / --fstype ext3 --size 1024 --grow --asprimary 
> part swap --recommended --asprimary 
> # User's custom partitions appear here

In this case the /boot partition may end up as a logical partition, which will fail to boot:

> /vdevice/v-scsi@30000002/disk@8100000000000000:-1,/etc/yaboot.conf: Unknown or corrupt filesystem 
> Can't open config file
Comment 1 Eryu Guan 2012-03-23 02:58:40 EDT
This bug prevents a bunch of file system testings which need custom partition on ppc64 running in beaker. I bumped the severity to high. 

I'll be great and helpful to have this bug fixed.

Thanks!

ps. seems s390x host with custom partition cannot boot in beaker either
Comment 2 David Lehman 2012-03-23 11:09:43 EDT
A fix for bug 725418 should prevent the ppc install from completing with /boot on a logical partition. So anaconda should not allow /boot on logical on ppc, but beaker should also not insert --asprimary unless it is actually requested.
Comment 3 Dan Callaghan 2012-08-10 02:34:17 EDT
On Gerrit: http://gerrit.beaker-project.org/1287
Comment 6 Dan Callaghan 2012-09-06 00:40:23 EDT
Beaker 0.9.3 has been released.

Note You need to log in before you can comment on or make changes to this bug.